Bug 8491 - GUI Fdisk triggers python traceback after assigning names to partitions
GUI Fdisk triggers python traceback after assigning names to partitions
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-15 13:26 EST by Stephen John Smoogen
Modified: 2015-01-07 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 12:41:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2000-01-15 13:26:24 EST
System 2:

CPU:
 Pentium 133mhz
 128 kb Cache
 APM: Disabled
Memory:
 32 Mb of 72 pin RAM
PCI Bus:
 ARK Logic Stingray
ISA Bus:
 3c509B
  io=0x300 irq=05 xcvr=BNC
 AHA1542CP
  io=0x330 irq=11 dma=5
 Soundblaster 16
  io=      irq=   dma=
USB Bus:
 NONE
IDE Bus:
 hda: 320 Mb Western Digital
 hdb: 540 Mb Quantum
 hdc: 540 Mb Quantum
SCSI Bus:
  2x cdrom scsi ID 4
Parallel Port Bus:
 Backpack Cdrom

Fdisk worked perfectly on setting up the partitions to be the following:
 /dev/hda1  15 megs linux   => /boot
 /dev/hda2  64 megs swap
 /dev/hda3 2xx megs linux   => /
 /dev/hdb1 540 megs linux   => /usr
 /dev/hdc1 130 megs linux   => /var
 /dev/hdc2 230 megs linux   => /usr/src
 /dev/hdc3 140 megs linux   => /home

At the end of using fdisk, use "w" to write the partitions to disk like
normal. Installer takes me to screen to assign partitions to disk names,
which I did as above. Clicking on next tells me that I do not have enough
memory and that the swap partition is going to need to be created which
needs that the partition data needs to be written to disk. I click on OK.
Installer freezes. Move to ALT-F1 and get the following errors:

Traceback innermost last:
  File "/usr/lib/python1.5/site-packages/gty.py", line 120, in __call__
    ret = apply (self.func, a)
  File "/usr/lib/anaconda/gui.py", line 330 in nextClicked
    next = self.currentScreen.getNext ()
  File "/usr/lib/anaconda/iw/rootpartition.py" line 79 in getNext
    if not self.checkSwap ()
  File "/usr/lib/anaconda/iw/rootpartition.py" line 53 in checkSwap
    self.todo.ddruid.save()
  AttributeError: ddruid

Replicated twice.
Comment 1 Erik Troan 2000-02-03 11:20:59 EST
fixed for beta 3

Note You need to log in before you can comment on or make changes to this bug.